Documents

Document Template Delete

DELETE
/documents/template/{documentTemplateGuid}/delete

Soft-deletes a document template by its GUID.

Authorization

AuthorizationBearer <token>

JWT token to authenticate the request.

In: header

X-Api-Key<token>

API key, sent as a request header.

In: header

Path Parameters

documentTemplateGuid*string

GUID of the document template to delete.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/documents/template/7c9e6679-7425-40de-944b-e07fc1f90ae7/delete"
{  "result": {    "data": {      "documentTemplateGuid": "7c9e6679-7425-40de-944b-e07fc1f90ae7",      "message": "DocumentTemplate deleted successfully."    },    "statusCode": 200,    "message": "OK"  },  "origin": "DELETE https://api.doctavian.com/v1/documents/template/{documentTemplateGuid}/delete",  "dateTime": "2026-07-14T09:30:00.000Z",  "operationId": "ffe59f75e3fd4c0c516f5db78bd082ca",  "userId": "d217d9de-0ef5-44dc-85e6-bc15b57299b0"}
{  "userId": "d44f3124-ba07-4d14-8137-65734a9b418e",  "error": {    "statusCode": 400,    "message": "Name is required.",    "innerErrors": [      {        "code": "DATA_NAME_REQUIRED",        "message": "Name is required.",        "userMessage": "Name is required."      }    ]  },  "origin": "DELETE https://api.doctavian.com/v1/documents/template/{documentTemplateGuid}/delete",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "4901ca7b2b1018fe6dda529e3aba9ac9"}
{  "error": {    "statusCode": 401,    "message": "The request could not be authenticated.",    "innerErrors": [      {        "code": "UNAUTHORIZED",        "message": "The request could not be authenticated.",        "userMessage": "Your session has expired or is invalid. Please sign in again."      }    ]  },  "origin": "DELETE https://api.doctavian.com/v1/documents/template/{documentTemplateGuid}/delete",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "2b1c343aa604cf56d68fef1a168be050",  "userId": "748b2a39-7231-4b49-832b-9ef189074a21"}
{  "error": {    "statusCode": 404,    "message": "The requested resource was not found.",    "innerErrors": [      {        "code": "NOT_FOUND_BY_ID",        "message": "The requested resource was not found.",        "userMessage": "We couldn't find that resource. Check the id and try again."      }    ]  },  "origin": "DELETE https://api.doctavian.com/v1/documents/template/{documentTemplateGuid}/delete",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "adc61e37939a40a2e6ec9a224f0d487d",  "userId": "748b2a39-7231-4b49-832b-9ef189074a21"}
{  "userId": "d056167c-d6b0-4453-b970-a2bd679e3fb3",  "error": {    "statusCode": 500,    "message": "An unexpected error occurred.",    "innerErrors": [      {        "code": "GET_DATA_SOURCE_ERROR",        "message": "An unexpected error occurred.",        "userMessage": "An unexpected error occurred."      }    ]  },  "origin": "DELETE https://api.doctavian.com/v1/documents/template/{documentTemplateGuid}/delete",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "b2ab9872b464c56ec847caa0f78e2599"}